Установка GCC 4.4 Debian Lenny

Заметка о том, как поставить обновленный компилятор в Debian Lenny. Всем известно, что в Debian Lenny по-умолчанию стоит GCC 4.3.2. Иногда требуется для сборки из исходников воспользоваться более новой версией этого компилятора, поэтому… Подключаем репозитарий testing: